const request = weex.requireModule("HLRequest");
var modal = weex.requireModule("HLModal");
export default {
	//获得一级专长
	getOneCates: function(callback) {
		var cache = eeui.getCaches('cateSection', []);
		var cateSection = [];
		if (typeof cache == 'string') {
			//JSON.parse  安卓格式要转换
			cateSection = JSON.parse(cache);
		} else if (typeof cache == 'object') {
			cateSection = cache;
		}

		if (cateSection.length > 0) {
			callback(cateSection)
		} else {
			// modal.showLoading();
			request.requestGetAppAboutApi('/api/Common/GetFirstCategoryList', {}, function(ret) {
				// modal.hideLoading();
				if (ret.isSuccess) {
					var arr = ret.data;
					let tempArr = [];
					arr.map(item => {
						tempArr.push({
							id: item.value,
							name: item.text
						});
					});
					var cateSection = tempArr;

					eeui.setCachesString('cateSection', cateSection, 7 * 3600 * 24);
					callback(cateSection)
				} else {
					modal.toast({
						text: ret.msg ? ret.msg : '网络异常'
					});
					callback(cateSection)
				}
			});
		}
	},
	//获得2级专长
	getTwoCates: function(id, callback) {
		request.requestPostBaseInfoApi(
			'/api/category/getLawCategoryLevel2ByFiled', {
				id: id
			},
			function(ret) {
				if (ret.isSuccess) {
					// modal.hideLoading();
					var arr = ret.data;
					let tempArr = [];
					arr.map(item => {
						tempArr.push({
							id: item.categoryID,
							name: item.categoryName
						});
					});
					var cateArr = tempArr;
					callback(cateArr)

				} else {
					modal.toast({
						text: ret.msg ? ret.msg : '网络异常'
					})
					callback([])
				}
			}
		);
	},
}
